using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 健康档案
    /// </summary>
    [Description("健康档案")]
    public class T_OG_RELATED_USER_HEALTH : MesEntityBase
    {
        /// <summary>
        /// 人员信息ID
        /// </summary>
        [Description("人员信息")]
        [DataFieldForeignKey("Nav_RelatedUser", "Nav_Healths")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航：人员信息
        /// </summary>
        [Description("导航：人员信息表")]
        public T_OG_RELATED_USER Nav_RelatedUser { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}